0.265 2024-04-25
----------------


MAME Testers bugs fixed
-----------------------
- 08221: [DIP/Input] (atari/harddriv.cpp) strtdriv: Brake pedal input is not connected correctly. (Jamie McCadden)
- 08839: [Debugger] (snk/ngp.cpp) ngp, ngpc: Assignng the TLCS900 PC register from the debugger doesn’t work. (hap)
- 08840: [Gameplay] (capcom/lwings.cpp) avengers, buraiken: Microcontroller misses some CPU messages. (hap)
- 08847: [Gameplay] (midway/williams.cpp) lottofun: Game displays CALL OPERATOR error after any player wins. (hap)
- 08848: [DIP/Input] (capcom/1942.cpp) 1942, 1942a, 1942b, 1942w: Default lives setting does not match manual. (ketburai)
- 08851: [Media Support] (trs/trs80.cpp) trs80l2 trs80m3 trs80m4 coco: Single-sided DMK disk images are not identified. (pnp2084)


New working systems
-------------------
CEI 60.04 (CEI 906-III Poker, Schedule 09F) [Roberto Fresca]
Excalibur Electronics Igor (Excalibur) [hap, Sean Riddle]
International Business Machines IBM 5100 [Christian Corti, Tom Stepleton, Patrick Mackinlay]
International Business Machines IBM 5110 [Christian Corti, Tom Stepleton, Patrick Mackinlay]


New working clones
------------------
Animal House (bootleg of Jingle Bell) [Taksangs, charlie]
Bongo (set 2) [Arcadedealer aka Edgar Solé aka Dios, Recreativas.org]
CEI 51.08 (CEI 906-III Poker, Schedule 09F) [Roberto Fresca]
CEI 51.08 (CEI 906-III Poker, Schedule 21F) [Roberto Fresca]
Galaxy Games StarPak 4 [Bill D., Brian Troha, The Dumping Union]
Gorf (Spain, Irecsa license) [Recreativas.org]
Hack Inc. Sandbox PCI PC (430HX, Socket 7 CPU) [Angelo Salese]
Kokontouzai Eto Monogatari (Japan, prototype?) [twistedsymphony]
Mahjong Gekisha Part II (Japan) [hammy]
Mahjong Reach (Ver. 1.00) [Sergio Galiano]
Mahjong Reach Part II (Ver. D88) [Sergio Galiano]
Ruleta RE-800 (v1.0, set 2) [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]
Saitek Mephisto Schachakademie [hap, Berger, Drahti]
Super Ms. Pac-Man (turbo hack, NVC284/NVC285 hardware)
  [Roberto Fresca, Gabriel Vega (El Pampa), Pablo Marcos (FaceArcade), Emmanuel Firmapaz, Club Argentino de Arcades]
Xiao Ao Jiang Hu (China, Ver. 1.00) [dyq, little0, AJR, Guru]


Systems promoted to working
---------------------------
Sinclair Research Ltd ZX-80 [Robbbert]
Tokimeki Memorial Oshiete Your Heart (GQ673 JAA) [Windy Fairy]
Tokimeki Memorial Oshiete Your Heart Seal Version (GE755 JAA) [Windy Fairy]
Tokimeki Memorial Oshiete Your Heart Seal Version Plus (GE756 JAB) [Windy Fairy]


New systems marked not working
------------------------------
Alone Shettle Crew [f205v, Brian Troha, rtw, Scott Jackman, Sead Sutton, Smitdogg, The Dumping Union]
Black Jack (Irem) [hammy, Joko3]
Dawg Gone Fun [Siftware]
Esprit Systems Executive 10/102 [Dirk Best, Bitsavers]
Hammer Champ (Japan) [hammy]
Knights in Armor [Jeff Anderson, Seth Soffer]
Man Guan Caishen 3 (V101CN) [dyq, little0, Guru]
Man Guan Zhi Zun (V100CN) [dyq, little0, Guru]
Neo Print - Fairy Tales (World) (T4i 3.07) [Mrhide]
Qing Cheng Zhi Lian [dyq, little0, Guru]
Que Huang Zheng Ba (V100CN) [dyq, little0, Guru]
Soccer 10 (ver. 16.44) [trol]
Wheels II [Jeff Anderson, Seth Soffer]


New clones marked not working
-----------------------------
Poker Ladies (Uncensored bootleg, encrypted) [f205v, Roberto Fresca]
Scared Stiff (1.1) [Corrado Tomaselli]


New working software list items
-------------------------------
apple2_flop_clcracked:
  From The Beginning... Contraception (4am crack), Mastering Math Series 4: Space Subtraction (A-145 version 1.0) (4am crack),
  Mastering Math Series 5: Subtraction Puzzles (A-146 version 1.0) (4am crack),
  Mastering Math Series 6: Multiplication Puzzles (A-147 version 1.0) (4am crack),
  Mastering Math Series 7: Quotient Quest (A-148 version 1.0) (4am crack),
  Mastering Math Series: Diagnostic System (A-149 version 1.1) (4am crack),
  Mastering Math Series: Management System (A-150 version 1.0) (4am crack),
  Mastering Math Series: Management System (A-150 version 1.1) (4am crack),
  Mastering Math Series: Worksheet Generator (A-151 version 1.0) (4am crack),
  Mastering Math Series: Worksheet Generator (A-151 version 1.1) (4am crack) [4am, A-Noid]
apple2_flop_orig:
  Candy Land, Chuck Yeager's Advanced Flight Trainer [4am, A-Noid]
  Nibbles Away ][ (version A1), Wizimore: Catacombs of Vlad, Wizimore: Nihonbashi, Wizimore: O'Connor's Mine,
  Wizimore: The Emperor's Seal, Wizimore: The Scarlet Brotherhood of Hsi Ho [4am, A2_Canada, A-Noid]
  Anchorman, Back It Up III (version 3.4), Questmaster I: The Prism of Heheutotol [4am, ianoid, A-Noid]
  Copy II Plus (version 3.3), Essential Data Duplicator 4 Plus (version 4.1), Nibbles Away (version B2) [4am, txgx42, A-Noid]
apple2gs_flop_clcracked:
  GBA Championship Basketball: Two-on-Two (cleanly cracked), Reader Rabbit (Version 2.0) (cleanly cracked),
  ShowOff (Version 1.0) (cleanly cracked), Sid Meier's Pirates! (cleanly cracked), USA GeoGraph (Version 1.0) (cleanly cracked),
  World GeoGraph (Version 1.3) (cleanly cracked) [Brian Troha]
coleco_homebrew:
  Star Force (fixed) [AtariAge, Ikrananka]
  421, A.E. - Anti-Environment Encounter, Aerial, Arno Dash, Asteroids, Astrostorm, Bank Panic, Bankruptcy Builder, Bejeweled,
  Bootskell, Breakout, Burn Rubber, C-So!, Canadian Mini Games, Caterpillar S.O.S., Cavit, Champion Pro Wrestling,
  Children of the Night, Circus Charlie, Cold Blood, Crazy Climber Redux, DacMan, Danger Tower, Deep Dungeon Adventure,
  Deflektor Kollection, Destructor S.C.E., Diamond Dash II, Dragon's Lair, Flapee Byrd, Flicky, Flora and the Ghost Mirror,
  Frog Feast, Front Line S.C.E., Frostbite, Gauntlet, Ghostblaster, Ghostbusters, Girl's Garden, Golgo 13, The Goonies, GP World,
  Gulkave, Heroes Arena, Impetus, Insane Pickin' Sticks VIII, J.E.T.P.A.C., Jeepers Creepers, Kaboom!, Kevtris, King & Balloon,
  King's Valley, Klondike Solitaire v1.0, Knight Lore, Knightmare, Kobashi, Konami's Ping-Pong, Kralizec Tetris, Lift, Magical Tree,
  Mahjong Solitaire v1.0, Majikazo, Mappy, Mario Bros., Maze Maniac, Mazy, Mecha 9, Mikie, Minesweeper v1.0, Missle Strike,
  Module Man, Monaco GP, Mopiranger, Mr Chin, Ms. Space Fury, Multiverse, N-Sub, Neuras, Ninja Princess, Operation Wolf,
  Pac-Man Collection, Pacar, Peek-A-Boo, Pegged v1.0, Pillars, Pitfall II Arcade, Pitman, Pooyan, Princess Quest,
  Purple Dinosaur Massacre, Pyramid Warp + Battle Ship Clapton II, Qbiqs, Quest for the Golden Chalice, Rally-X, Remember the Flag,
  Reversi & Diamond Dash, Road Fighter, Ruptus, Search for the Stolen Crown Jewels 3 (Demo), Secret of the Moai, Sega Flipper,
  Shmup!, Shouganai, Sindbad Mystery, Sky Jaguar, Snake, Space Invaders Collection, Space Invasion,
  Space Shuttle: A Journey Into Space, Spelunker, Spunky's Super Car!, Squares, Star Castle, Star Fire, Star Fortess, Star Jacker,
  Steamroller, The Stone of Wisdom, Stray Cat, Subroc Super Game, Sudoku, Super Pac-Man, Super Space Acer, Thexder, Track & Field,
  Traffic Jam, Turmoil 2022, TwinBee, Txupinazo!, Uridium, Utopia, Vectorollerpede, Vexed, War, Waterville Rescue, Winky Trap,
  Wizard of Wor, Wonder Boy, Yie Ar Kung-Fu, Zaxxon II, Zaxxon Super Game, Zippy Race, Zombie Calavera Prologue, Zombie Incident,
  Zombie Near, Zoom 909 [ColecoVision Addict]
  The Black Onyx, Booming Boy, Boxxle, Buck Rogers Super Game, Caos Begins, Caverns of Titan, Kung-Fu Master,
  Space Shuttle: A Journey Into Space (64k) [Dirk Best, ColecoVision Addict]
gameking:
  4 in 1 - Three Battles + Light Sword + Risker + Metal Deform (512KB cartridge, set 2)
  [sCZther, SSJ, Gaming Alexandria, TeamEurope]
gameking3: Diamond, Hemic Battle [sCZther, SSJ, Gaming Alexandria, TeamEurope]
ibm5170_cdrom: BeOS 4.5 [WinWorld]
msx1_flop:
  Aackotext II (Netherlands, v2.2), Brasil Geográfico (Brazil), dBASE II (Netherlands), JUBILEUM Diskette (Netherlands),
  MS Text (Netherlands), MSX-AIDS (Japan, v1.1), Nihongo Waupuro Kan-juku Tomato (Japan), Score Editor (Japan) [file-hunter]
msx2_flop:
  DMK Creator (v6.3), DSKPRO (v6.51), DSKPRO (v9.01), DSKPRO (v11.6), DSKPRO Light (v1.4) [cbsfox]
  Atlas / Encyclopedie (Belgium), Belasting Diskette 1989 (Netherlands), Brainstorm (Netherlands), Cheat Master (Netherlands),
  Copy Aid Tenka Muteki (Japan, v2.12), Copy Aid Tenka Muteki (Japan, v2.20), Copy Aid Tenka Muteki (Japan, v2.30),
  Copy Aid Tenka Muteki (Japan, v2.32), Copy Aid Tenka Muteki (Japan, v2.32+), Copy CAT (Japan, v2.00),
  DemoKit Deluxe (Netherlands), Developer II (Netherlands), Disk Album 42 - MSX-C Nyuumon Jougekan (Japan),
  DupeDisk (Netherlands, v1.02), EPROM - Extra Products ROM (Netherlands), F1 Tool Disk (Japan), F1 Tool Disk II (Japan),
  FAC Soundtracker (Netherlands, v2.0), FAC Soundtracker Pro (Netherlands, 1992), FAC Soundtracker Pro (Netherlands, v1.03),
  Home Office - MSX Designer (Italy), Home Office 2 (Italy), Image Maker & Poster 8 (Netherlands), The Magical Editor (German),
  Melbrains Note (Japan?), MIDI Saurus (Japan), Mitsubishi ML-G30, MoonBlaster (Netherlands, v1.4),
  MoonBlaster Music #2 (Netherlands), MSX BASIC Kun (Netherlands), MSX Technical Guidebook - The Fourth Edition (Japan),
  MSX Utility Disk (Netherlands), MSX2 Disk Backup Tool - Focus (Japan, v2.0), Music Editor Onchi-kun (Japan),
  Nihongo Waupuro Bunsho Sakuzaemon (Japan), Palet 2 (Netherlands), PictureKit Deluxe (Netherlands), Print Shop II (Japan, cracked),
  Pro-tracker (Netherlands), PSG Tracker (Netherlands), Sampbox 2 Deluxe (Netherlands), Sampbox 3 Deluxe (Netherlands),
  Sampbox 4 Macro (Netherlands), Studio FM (Netherlands), Superscreendumper (Netherlands), Super-X (Japan, v1.2), Synchro Copy,
  Synth Saurus Ver2.0 (Japan, v2.03), T/Maker IV, De T.V. Krant (Netherlands), Troubles in Town (Netherlands),
  Turbowipe (Netherlands), TwinCopy (Japan), Ultra BASIC (Netherlands), Workmate (Europe) [file-hunter]
  Animecha (Japan, v2.00) [tempest]
  Compass - Finally Free Edition (v1.2.09) [turbor]
msx2p_flop:
  FS-A1FX (Japan), FS-A1WSX (Japan), FS-A1WX (Japan), Game Programming Tool HB-F1XDJ Sen'you (Japan), HB-F1XV (Japan),
  PHC-70FD/FD2 (Japan) [file-hunter]
nes: Spy vs. Spy: The Island Caper (USA, prototype) [Hidden Palace]
oric1_cass: Rodmän [Mika Keranen]
rx78_cart: Cannon Ball [Gaming Alexandria]
sms:
  Sydney Hunter and the Sacred Tribe [No-Intro]
  Gemitas [SMS Power!]
snes: Rockman's Soccer (Japan, sample) [C. Davis]
spectrum_cass:
  Anti-Lune [Michael Bruhn, Planeta Sinclair]
  Rodmän [Mika Keranen]
  Tokimal (demo) [Pat Morita Team]
  Cálculo de Areas e Volumes, Cálculo de Estrutura Tronco-Cónicas, Foguetão, Geografia de Portugal (Astor),
  Mad Mix Game & The Pepsi Challenge (Portuguese), Pro Golf II (System 4, alt), Pssst (Nuova Newel Software),
  Pssst + Jetpac + Kucharik, Sachy Psion + Reversi + Backgammon, O Segredo dos Templários (TAP tape image), Starblazer,
  Tabela Periódica, Tabela Periódica (fast version hack) [Planeta Sinclair]
  Black & White, Box Reloaded, Flunky (Zafi Chip), GP Motocross, Left Behind: Escape From Mars, Mad Cars, Pot-Pourri,
  Quest for the Sacred Flame of Hestia, Space Racer (Proein), Stop Virus (demo) [Spectrum Computing]
  La Balada del Duende, Editor Musical, La Isla Maldita Juego de Damas [El Trastero del Spectrum]


Software list items promoted to working
---------------------------------------
spectrum_cass: Prioridade Em Cruzamentos [ArcadeShadow]


New software list items marked not working
------------------------------------------
coleco_homebrew: Jetp4k, Star Force [ColecoVision Addict]
msx1_flop:
  MSX Data Communications (Netherlands), Serial Interface (Netherlands), Yamaha Portatone PSR-6300 Demonstration [file-hunter]
msx2p_flop:
  Amimoto-san (Japan), Barad (Netherlands), Easy Telopper II (Japan), GFX9000 Toolbox,
  Graph Saurus Ver.2.1 Interlace Mode Plus (Japan), MSX Data Communications (Netherlands, v1.7), Multi-Barcode (Netherlands),
  NMS 1170 (Netherlands), Panasonic FS-IFA1 (Japan), Philips NMS 8280 Digitiser Disk (Netherlands), Print Shop II (Japan),
  TraxPlayer [file-hunter]
  Amimoto-san 2 (Japan) [itochi]
msxr_flop:
  The Best of Hamaraja Night (Japan), Dewoman Chuuhen (Japan), Dewoman Zenpen (Japan), Fantasy Attraction (Japan), FS-A1GT (Japan),
  FS-A1ST (Japan), Hyper Role Playing Story LOSTWORD Episode 0 (Japan), innocent wish ~destiny2~ (Japan),
  Mahou no Kuni no Hoippuru (Japan), Mechanical Brain (Japan), Mejuu Sa - Medusa (Japan), Moon Light Saga (Japan, alt),
  MSX ViewCALC (Japan), Quien Quiere Ser Milionario, Qui Veut Gagner Des Millions, R2 Chaser's (Japan),
  South Town's Hero II (Japan), South Town's Hero Turbo (Japan), Speedline (demo), Stage 11 (Japan), Stage 11 Kai (Japan),
  Superiority Fighters (Japan), Telebasic Edición No. 1 (Spain), Telebasic Edición No. 2 (Spain), Telebasic Edición No. 3 (Spain),
  Turbo Blaster (Japan), Welkis the Legend (Japan) [file-hunter]
spectrum_cass: O Segredo dos Templários (TZX tape image) [Spectrum Computing]


Merged pull requests
--------------------
- 10139: konami/konamim2.cpp: Re-dumped the CD for Heat of Eleven ’98. [Victor Fernandez (City Game), Arcade Planet, ClawGrip]
- 11581: namco/namcops2.cpp: Corrected notes about THE IDOLM@STAR games and V300 I/O boards. [Alexander Poyanco]
- 12091: saturn.xml: Added language info elements, and corrected parent/clone relationships for Rayman games. [ArcadeShadow]
- 12093: namco/namcops2.cpp: Corrected title of MotoGP and added a note about the US version of Battle Gear 3. [ArtLine]
- 12131: osd/strconv.cpp: Handle UTF-8 Windows code page internally in osd_uchar_from_osdchar. [invertego]
- 12161: commodore/kim1.cpp: Added RS-232 port for console. [Jeff Tranter]
- 12172: megadriv.xml: Added and corrected info about the Sega Game Toshokan games. [ICEknight]
- 12175: bus/hp9845_io/hp9885.cpp: Implemented format track command. [F.Ulivi]
- 12176: mr/dribling.cpp: Dumped missing ROMs from the Automave version of Dribbling. [David Bosque, Recreativas.org, ClawGrip]
- 12177: Cleared inappropriate execute bits on a few source files. [Davide Cavalca]
- 12183: plugins/cheat: Added string.char and string.format to the environment for Lua cheats. [einstein95]
- 12184: nes.xml: Added a US prototype of Spy vs. Spy. [Hidden Palace. David Silva]
- 12185: snes.xml: Added a prototype of Rockman’s Soccer. [C. Davis, David Silva]
- 12187: igs/igs036crypt.cpp: Added preliminary decryption code for Bu Bu Car. [XingXing]
- 12188: bus/multibus: Added Robotron K7071 text-only video card for the A7100 series. [shattered]
- 12191: tools/chdman.cpp: Added support for extracting cue/bin GD-ROM images and producing one binary file per track. [Windy Fairy]
- 12192: atari/harddriv.cpp: Corrected brake pedal ADC channel for Street Drivin’. [Jamie McCadden]
- 12193: sms.xml: Added Gemitas and Sydney Hunter and the Sacred Tribe. [SMS Power!, No-Intro, ArcadeShadow]
- 12194: Add C compiler flags for Wayland EGL from pkgconfig to OSD build options on Linux. [Belegdol]
- 12196: atari/harddriv.cpp: Fixed ranges for Street Drivin’ and Hard Drivin’s Airborne controls. [Jamie McCadden]
- 12197: debug/express.cpp: Fixed comparison of iterators from different containers. [invertego]
- 12198: msx1_flop.xml: Added eleven items (eight working), and replaced two items with better dumps. [file-hunter, Wilbert Pol]
- 12199: msxr_flop.xml: Added 27 items, and replaced one item with a better dump. [file-hunter, Wilbert Pol]
- 12200: msx2p_flop.xml: Added six working items. [file-hunter, Wilbert Pol]
- 12202: coleco.xml: Added 34 items (27 working). [ColecoVision Addict, ArcadeShadow]
- 12206: igs/pgm.cpp: Fixed readings for Chinese titles of Oriental Legend games. [BarbuDreadMon]
- 12207: machine/icd2061a.cpp: Fixed out-of-bounds array access when configuring video clock output. [Windy Fairy]
- 12208: namco/namcos12.cpp: Removed Um Jammer Lammy NOW! from the list of undumped games. [simzy]
- 12211: seta/srmp2.cpp: Added PCB reference numbers for all games. [Sergio Galiano]
- 12212: machine/spi_sdcard.cpp: Report status for CMD58 (READ_OCR) requests. [holub]
- 12213: apple2gs_flop_clcracked.xml: Added six cracks, and improved metadata for many items. [Brian Troha, Ivan Vangelista]
- 12214: msx2_flop.xml: Added 76 items (63 working), and replaced three items with better dumps. [Wilbert Pol]
- 12216: Add C compiler flags from pkgconfig for Wayland EGL to BGFX build options. [Belegdol]
- 12217: namco/namcos12.cpp: Improved description of Teckno Werk in comments. [simzy]
- 12218: namco/galaga.cpp: Added a note about the Sidam version of Galaga. [Xavier Panadero, Recreativas.org, ClawGrip]
- 12219: util/cdrom.cpp: Clear entire output TOC structure in cdrom_file::parse_metadata. [MetalSlug]
- 12220: midway/astrocde.cpp: Added a version of Gorf licensed to Irecsa for Spanish distribution. [Recreativas.org, ClawGrip]
- 12221: bus/msx/slot/disk.cpp: Improved MSX Turbo-R disk interface emulation. [Wilbert Pol]
- 12222: taito/taito_x.cpp: Added PCB reference numbers for all games. [Sergio Galiano]
- 12223: cpu/i86/i186.cpp: Fixed issues with DMA and timers using timer 2 as source. [Hannes Janetzek]
- 12224: docs: Removed unnecessary repetition in descriptions of external tools. [Angelo Salese]
- 12227: roland/roland_jv80.cpp: Dumped wave ROMs and main CPU ROM, and added older v1.0.0 program as a BIOS option. [Giulio Zausa]
- 12228: 3rdparty/asmjit: Updated to upstream version 1.13.0. [Patrick Mackinlay]
- 12229: konami/konamigv.cpp: Implemented inputs and printer check for Tokimeki Memorial Oshiete Your Heart games. [Windy Fairy]
- 12230: seta/seta2.cpp: Corrected release year for bootleg of Guardians / Denjin Makai II. [BarbuDreadMon]
- 12231: itech/itech32.cpp: Cleaned up code and improved metadata. [cam900]
- 12232: formats/dmk_dsk.cpp: Fixed a bug in the format identification header check (fixes MT08851). [Wilbert Pol]
- 12233: konami/konamigv.cpp: Added printer simulation for Tokimeki Memorial Oshiete Your Heart games. [Windy Fairy]
- 12235: itech/itech8.cpp: Cleaned up code. [cam900]
- 12236: itech/capbowl.cpp: Suppress side effects for debugger reads. [cam900]
- 12237: misc/xtom3d.cpp, misc/xtom3d_piu10.cpp: Added PIU10 ISA PCB device for Pump It Up. [Windy Fairy]
- 12238: ussr/bk.cpp: Added DAC, QBus and unmapped read/write traps. [shattered]
- 12239: msx: Implemented a little more MSX2+ functionality. [Wilbert Pol]
- 12240: kaneko/sandscrp.cpp: Suppress side effects for debugger reads from sound latches. [cam900]
- 12242: trs/coco.cpp: Corrected light gun raster spot detection timing. [Tim Lindner]
- 12243: msx/msx.cpp: Use arrays of memory views. [Wilbert Pol]
- 12244: msx/msx2p.cpp: Correctly configure MSX Music devices (fixes validation errors). [Wilbert Pol]
- 12245: konami/konamigv.cpp: Removed inputs that are not present from Tokimeki Memorial Oshiete Your Heart games. [Windy Fairy]
- 12246: midway/williams.cpp, wmg.cpp: Cleaned up code. [cam900]
- 12248: midway/midyunit.cpp: Cleaned up code. [cam900]
- 12249: machine/spi_sdcard.cpp: Don’t write received data to the command shift register. [holub]
- 12250: rx78_cart.xml: Added Cannon Ball, and improved metadata for various items. [Gaming Alexandria, David Silva]
- 12251: cirsa/neptunp2.cpp: Added a Counters serial EEPROM dump to gladiador. [ClawGrip]
- 12252: shared/dcs.cpp: Implemented device_mixer_interface for sound output and cleaned up code. [cam900]
- 12253: docs: Updated RTD theme to version 2.0.0 and removed dependency on jQuery. [Firehawke]
- 12254: ussr/uknc.cpp: Added cassette interface and QBus slots with floppy controller card. [shattered]
- 12255: bmc/koftball.cpp: Decode bitmap layer and use back layer pen. [Angelo Salese]
- 12256: apple2_flop_clcracked.xml: Added nine cracks, updated one crack, and removed an outdated crack. [4am, san inc, A-Noid33]
- 12257: capcom/cps2.cpp: Corrected release region and date in two system descriptions. [BarbuDreadMon]
- 12260: igs/igs009.cpp: Added a bootleg of Jingle Bell called “Animal House”. [Taksangs, charlie, ClawGrip]
- 12262: midway/midwayic.cpp: Reduced hard-coded tags and cleaned up code. [cam900]
- 12266: shared/decobsmt.cpp: Implemented device_mixer_interface for sound output and improved save state support. [cam900]
- 12267: tomy/tomy_princ.cpp: Install cartridge ROM into CPU address space. [QUFB]
- 12268: spectrum_cass.xml: Added 31 items (30 working), removed a duplicate item and improved metadata. [ArcadeShadow]
- 12269: sinclair/sprinter.cpp: Improved interrupt and accelerator emulation accuracy. [holub]
- 12270: gameking.xml, gameking3.xml: Added three working cartridges and replaced one cartridge with a better dump. [David Haywood]
- 12272: misc/skimaxx.cpp: Suppress side effects for debugger reads, and reduced tag lookups. [cam900]
- 12273: pinball/decodmd*.cpp: Register data members for save states and suppress side effects for debugger reads. [cam900]
- 12274: galaxian/galaxian.cpp: Added an alternate version of Bongo found on an original Namco PCB. [ClawGrip]
- 12276: apple2_flop_orig.xml, apple2_flop_clcracked.xml: Added fourteen original dumps and one crack. [A-Noid33]
- 12277: sinclair/tsconf.cpp: Use RGB format for screen bitmap so mid-screen palette changes work. [holub]
- 12279: oric1_cass.xml Added Rodmän. [Mika Keranen, ArcadeShadow]
- 12280: nmk/nmk16.cpp: Updated comments to note that Many Block is a hack of Slot Gal. [negunma]
- 12281: midway/midtunit.cpp, midtunit_v.cpp, midwunit.cpp, midxunit.cpp: Cleaned up code. [cam900]


Source changes
--------------
New working clones
------------------
Mephisto Schachakademie [hap, Berger, Drahti]

-igs/pgm2.cpp: worked aroung bubucar crash for now [Ivan Vangelista]

-schachak: update internal artwork color theme [hap]

-pit8253: fix old regression with mode 3 and odd timer count [hap]

-hd6301x: fix missed timer 2 event(s) when tconr < elapsed counts, m6801: improve serial rx timing (novag tv interface from next
 commit relies on more accurate timing) [hap]

-added novag tv interface peripheral [hap, Achim]

-m6801: revert changes to serial emulation from a4cf1316fa003f73193c3010984a373015051e02 - not the correct solution, introduces time
 travel issue unfortunately [hap]

-avengers: improve mcu/soundlatch timing [hap]

-lwings: remove now unused variable [hap]

-tlcs900: fix setting programcounter in debugger [hap]

-misc/gfamily: stub motherboard portion [angelosa]

-Cleared inappropriate execute bits on a few source files. (#12177) [Davide Cavalca]

-mr/dribling.cpp: Dumped missing ROMs from the Automave version of Dribbling. (#12176) [David Bosque, Recreativas.org]

Systems promoted to working
---------------------------
ZX-80 [Robbbert]

-zx: fixed direction keys; fixed name of ringo470 [Robbbert]

-saitek*: update company strings [hap]

-avr8: some registers were missing from addressmap, avr8: fix regression with C flag on SBIW opcode, fix V flag on DEC/SBIW opcodes
 [hap]

New systems marked not working
------------------------------
Dawg Gone Fun [Siftware]

-avr8: fix SBIW V flag once more [hap]

-debugger/debuggdbstub.cpp: Don't write data to socket in text mode. [Vas Crabb]

-mr/dribling.cpp, heathkit/h17_fdc.cpp: Tidy up a little. [Vas Crabb]

-avr8: fix port D bit 7 toggle on timer2 [hap]

New systems marked not working
------------------------------
Man Guan Caishen 3 (V101CN) [dyq, little0, Guru]
Man Guan Zhi Zun (V100CN) [dyq, little0, Guru]

New systems marked not working
------------------------------
Qing Cheng Zhi Lian [dyq, little0, Guru]

New working clones
------------------
Mahjong Reach [Sergio Galiano]

-dynax/royalmah.cpp: dumped TMP internal ROM for mjtensin  [Sergio Galiano]

-igs/igs_m027.cpp: added preliminary decryption for mgzz and mgcs3 [IQ_132]

-igs/pgmcrypt.cpp: some standardization, pending device conversion [Ivan Vangelista]

-sealy/sealy_eagle.cpp, sega/anyworks.cpp: changed placeholder CPU from SE3208 to ARM9 [Ivan Vangelista]

-swx00: Initial buggy noise h8: correct division of negative numbers [Olivier Galibert]

-palm: new cpu device and disassembler [Patrick Mackinlay]

-igs/igs036crypt.cpp: added preliminary decryption for bubucar [XingXing] (#12187) [HappyASR]

-Drop support for GCC < 10.3, clang 6, SDL < 2.0.14 and Qt 5.10. [Vas Crabb]

-uzebox: small cleanup [hap]

New systems marked not working
------------------------------
Igor (Excalibur) [hap, Sean Riddle]

-source org: move emirage/ivant to excalibur folder [hap]

-swp00: fix m_global_step array out of bounds error [hap]

-sinclair/elwro800.cpp: Remove workaround for old GCC [AJR]

-saitek_osa/odyssey2 slot devices: add anonymous namespace [hap]

-igor: add internal artwork [hap]

-cheat: Make string.char and string.format available to cheats (#12183) [eientei95]

-taito/asuka.cpp: Added what looks like an early version of Kokontouzai Eto Mongatari. [Vas Crabb]

New working clones
------------------
Kokontouzai Eto Monogatari (Japan, prototype?) [Vas Crabb]

-palm: fix disassembler synthetics [Patrick Mackinlay]

-pc9801: simpler method to init m_egc struct at reset  [Robbbert]

-diexec: remove unneeded memset on attotime object in constructor [hap]

-3dom2_te: fix array out of bounds access on m_tm.m_regs [hap]

-pc9801: don't init egc at reset, mos6560: mask offset to fix possible array out of bounds access, avr8: correct copy paste error on
 some gpio_out_cb [hap]

New working clones
------------------
Mahjong Gekisha Part II (Japan) [Hammy]

-igs/pgmcrypt.cpp: added decryption for crzybugs and qlgs, fixed some others [IQ_132]

-skeleton/sterz80.cpp: descrambled Oki ROM [Ivan Vangelista]

-phantom/emirage/robotadv: fix piece positions when board is rotated [hap]

-sensorboard: pass rotate variable for clear_cb too [hap]

-ti99: Replaced static_cast with dynamic_cast (mametesters 06824) [Michael Zapf]

New clones marked not working
-----------------------------
Scared Stiff (1.1) [Corrado Tomaselli]

New systems marked not working
------------------------------
Neo Print - Fairy Tales (World) (T4i 3.07) [Mrhide]

-namco/namcops2.cpp: Documentation: Battle Gear 3 has an US version + MotoGP should be 1 word (#12093) [FMecha]
 * Also document English BG3 dongle

-m68000: Fix pc interactions in debugger [Olivier Galibert]

-atari/harddriv.cpp: Corrected brake pedal ADC channel for strtdriv. (#12192) [Jamie McCadden]

-snes.xml: Added a prototype of Rockman's Soccer. (#12185) [David 'Foxhack' Silva]

New working software list items (snes.xml)
------------------------------------------
Rockman's Soccer (Japan, sample) [C. Davis]

-ti99: Removed casts and fixed a bug in the multi-cartridge connector. [Michael Zapf]

New clones marked not working
-----------------------------
Super Ms. Pac-Man (hack, NVC284/NVC285 hardware) [Roberto Fresca]
[Roberto Fresca, Gabriel Vega (El Pampa), Pablo Marcos (FaceArcade), Emmanuel Firmapaz, Club Argentino de Arcades] [Roberto Fresca]

Clones promoted to working
--------------------------
Super Ms. Pac-Man (turbo hack, NVC284/NVC285 hardware) [Roberto Fresca]
[Roberto Fresca, Gabriel Vega (El Pampa), Pablo Marcos (FaceArcade), Emmanuel Firmapaz, Club Argentino de Arcades] [Roberto Fresca]

-ti1000/lilprof: small correction to input matrix [hap]

-nes.xml: Added a US prototype of Spy vs. Spy. (#12184) [David 'Foxhack' Silva]

New working software list items (nes.xml)
-----------------------------------------
Spy vs Spy: The Island Caper (USA, prototype) [Hidden Palace]

-boris: correct ram size [hap]

-nes.xml: Use self-closing tags for data areas with no load commands - saves a lot of lines in a file this big. [Vas Crabb]

-Disabled GCC stringop-overflow warning due to numerous false positives. [Vas Crabb]

-Add C compiler flags for Wayland EGL from pkgconfig to OSD build options on Linux. (#12194) [Julian Sikorski]
 * This will hopefully fix compiling on openSUSE where Wayland headers are in /usr/include/wayland.

-sms.xml: Added two working items. (#12193) [ArcadeShadow]
 * Also corrected the name of "Jewel Jones" (was called "Jewel Stone").

New working software list additions (sms.xml)
---------------------------------------------
Gemitas [SMS Power!]
Sydney Hunter and the Sacred Tribe [No-Intro]

-tools/chdman.cpp: Added support for extracting cue/bin GD-ROM images and producing one binary file per track. (#12191)
 [987123879113]
 * Use --splitbin/-sb option for extractcd to produce one binary file per track.
 * When producing one binary file per track, the binary file name must contain a %t format conversion for the track number.

-bus/hp9845_io/hp9885.cpp: Implemented format track command. (#12175) [fulivi]
 * Also improved log message formatting.

-pacman/pacman.cpp: Added Ms Pac-Man Twin extra documentation and ASCII PCB layers. [Roberto Fresca]

-pacman/pacman.cpp: Cleaned extra space and dot. [Roberto Fresca]

-debug/express.cpp: Fix bad iterator comparison in postfix conversion. (#12197) [invertego]
 * One iterator was being compared with another from the wrong container. I observed this by chance when I hit an assert in a debug
    MSVC build with checked iterators enabled. This bug could cause dereferencing of a past-the-end iterator in expressions ending
    with an operator.

New working clones
------------------
Ruleta RE-800 (v1.0, set 2) [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]

-misc/corona.cpp: Rename the re800v1a program ROM to reflect the sticker. [Roberto Fresca]

-msoccer2: add factory test, robotadv: remove timer device [hap]

-msx2p_flop.xml: Added six working items. (#12200) [wilbertpol]

New working software list items (msx2p_flop.xml)
------------------------------------------------
FS-A1FX (Japan) [file-hunter]
FS-A1WSX (Japan) [file-hunter]
FS-A1WX (Japan) [file-hunter]
HB-F1XV (Japan) [file-hunter]
PHC-70FD/FD2 (Japan) [file-hunter]
Game Programming Tool HB-F1XDJ Sen'you (Japan) [file-hunter]

-msx1_flop.xml: Added eleven items (eight working), and replaced two items with better dumps. (#12198) [wilbertpol]
 * Replaced TT Racer (Netherlands) and  Zanac (Netherlands) with better dumps. [file-hunter]

New working software list items (msx1_flop.xml)
-----------------------------------------------
Aackotext II (Netherlands, v2.2) [file-hunter]
Brasil Geográfico (Brazil) [file-hunter]
dBASE II (Netherlands) [file-hunter]
MS Text (Netherlands) [file-hunter]
Score Editor (Japan) [file-hunter]
MSX-AIDS (Japan, v1.1) [file-hunter]
Nihongo Waupuro Kan-juku Tomato (Japan) [file-hunter]
JUBILEUM Diskette (Netherlands) [file-hunter]

New software items marked not working (msx1_flop.xml)
-----------------------------------------------------
Serial Interface (Netherlands) [file-hunter]
MSX Data Communications (Netherlands) [file-hunter]
Yamaha Portatone PSR-6300 Demonstration [file-hunter]

-msxr_flop.xml: Added 27 items, and replaced one item with a better dump. (#12199) [wilbertpol]
 * Replaced Space Panic! (Japan) with a better dump. [file-hunter]
 * Removed bad dump of MSX View.
 * Also cleaned up metadata and marked all items unsupported.

New software list items marked not working (msxr_flop.xml)
----------------------------------------------------------
FS-A1GT (Japan) [file-hunter]
FS-A1ST (Japan) [file-hunter]
The Best of Hamaraja Night (Japan) [file-hunter]
Dewoman Zenpen (Japan) [file-hunter]
Dewoman Chuuhen (Japan) [file-hunter]
Fantasy Attraction (Japan) [file-hunter]
innocent wish ~destiny2~ (Japan) [file-hunter]
Mahou no Kuni no Hoippuru (Japan) [file-hunter]
Mechanical Brain (Japan) [file-hunter]
Me-yuu Isago - Mejuusa (Japan) [file-hunter]
MSX ViewCALC (Japan) [file-hunter]
R2 Chaser's (Japan) [file-hunter]
South Town's Hero II (Japan) [file-hunter]
South Town's Hero Turbo (Japan) [file-hunter]
Speedline (demo) [file-hunter]
Superiority Fighters (Japan) [file-hunter]
Turbo Blaster (Japan) [file-hunter]
Welkis the Legend (Japan) [file-hunter]
Hyper Role Playing Story LOSTWORD Episode 0 (Japan) [file-hunter]
Moon Light Saga - Horus no Shou (Japan) [file-hunter]
Qui Veut Gagner Des Millions [file-hunter]
Quien Quiere Ser Milionario [file-hunter]
Stage 11 (Japan) [file-hunter]
Stage 11 Kai (Japan) [file-hunter]
Telebasic Edición No. 1 (Spain) [file-hunter]
Telebasic Edición No. 2 (Spain) [file-hunter]
Telebasic Edición No. 3 (Spain) [file-hunter]

-ti99: Further cleanups, removed casts. [Michael Zapf]

-ti99: Using device arrays instead of multiple similar devices. [Michael Zapf]

-ti99: Prevent re-appearing memory contents when swapping cartridges. [Michael Zapf]

-crtc_ega: latch the row preset [cracyc]

-tms9900: Fix undefined behaviour when reset occurs during a data derivation sequence. [Michael Zapf]

-palm: improve interrupt handling [Patrick Mackinlay]
 * fix debugger register access
 * consolidate internal state
 * add ros selection and bus out callbacks
 * add internal control instruction handler

New working systems
-------------------
IBM 5100 [Christian Corti, Tom Stepleton]

New systems marked not working
------------------------------
Executive 10/102 [Dirk Best, Bitsavers]

-crt9007: Add support to test cursor location [Dirk Best]

-atari/harddriv.cpp: Fixed ranges for strtdriv and hdrivair steering and brake controls. (#12196) [Jamie McCadden]

-atari/harddriv.cpp: Corrected strtdriv/hdrivair control directions, added note about strtdriv brake calibration. [Vas Crabb]

-msxr_flop.xml: That kanji should be read as "sa", duh. [Vas Crabb]

-pc/pcipc: add pcipcs7 target (i430HX + 266 MHz MMX CPU) [angelosa]

-pc/pcipc: hookup SW lists [angelosa]

-hash/ibm5170_cdrom: reorder OSes to own section [angelosa]

-ti99: Virtualize inherited device methods for consistency. [Michael Zapf]

New working software list items
-------------------------------
hash/ibm5170_cdrom: BeOS 4.5 [WinWorld]

-sinclair: Started adding devices for ZX Spectrum Next. [holub]
 * sinclair/specnext_copper.cpp, sinclair/specnext_ctc.cpp, sinclair/specnext_dma.cpp, sinclair/specnext_multiface.cpp: Started
    adding ZX Spectrum Next devices.
 * machine/spi_sdcard.cpp: Send two-byte response for CMD13 (SEND_STATUS); check for presence of media for CMD16 (SET_BLOCKLEN).
 * machine/z80ctc.cpp, machine/z80dma.cpp: Added support for derived device classes.
 * sinclair/atm.h, sinclair/spec128.cpp, sinclair/spec_snqk.cpp, sinclair/sprinter.cpp, sprinter/tsconf.h, sinclair/tsconf_m.cpp:
    Cleaned up code (virtual qualifiers, superfluous semicolons, etc.).

-upd78k2: Correct decoding of ROR4 and ROL4 in disassembler [AJR]

-machine/icd2061a: Fix out of bounds array access (#12207) [987123879113]
 * machine/icd2061a: Fix out of bounds array access. Add error messages for unimplemented clock settings

-namco/namcos12.cpp: Edit notes on wanted games (#12208) [simzy39]
 * Removed Um Jammer Lammy from the list of wanted games

New working clones
------------------
Galaxy Games StarPak 4 [Bill D., Brian Troha, The Dumping Union]

-machine/spi_sdcard.cpp: Report status for requests of CMD58 (READ_OCR) (#12212) [holub]

-seta/srmp2.cpp: Added PCB ref. numbers for all games (#12211) [Sergio G]

-igs/pgm.cpp: Fixed readings for Chinese titles of Oriental Legend games. (#12206) [barbudreadmon]

-pgm2: change orleg2 title from chuan to zhuan too [hap]

New clones marked not working
-----------------------------
Poker Ladies (Uncensored bootleg, encrypted) [f205v, Roberto Fresca]

-namco/namcops2.cpp: correct notes with regards of THE IDOLM@STER & V300 I/O boards (#11581) [Alexander Poyanco]

-konamim2.cpp: Redumped CD for 'heatof11' [Victor Fernandez (City Game), Arcade Planet] (#10139) [ClawGrip]

-palm: add program level output [Patrick Mackinlay]

-ibm5100: add 5110 keyboard [Patrick Mackinlay]

New working systems
-------------------
IBM 5110 [Christian Corti, Tom Stepleton]

-msx2_flop.xml: Added 77 items (64 working), and replaced three items with better dumps. (#12214) [wilbertpol]
 * Replaced Veldslag (Netherlands), Zeeslag (Netherlands), and Zoo (Europe) wiht better dumps. [file-hunter]

New working software list items (msx2_flop.xml)
-----------------------------------------------
Mitsubishi ML-G30 [file-hunter]
Atlas / Encyclopedie (Belgium) [file-hunter]
Belasting Diskette 1989 (Netherlands) [file-hunter]
Brainstorm (Netherlands) [file-hunter]
Cheat Master (Netherlands) [file-hunter]
Compass - Finally Free Edition (v1.2.09) [turbor]
Copy Aid Tenka Muteki (Japan, v2.32+) [file-hunter]
Copy Aid Tenka Muteki (Japan, v2.32) [file-hunter]
Copy Aid Tenka Muteki (Japan, v2.30) [file-hunter]
Copy Aid Tenka Muteki (Japan, v2.20) [file-hunter]
Copy Aid Tenka Muteki (Japan, v2.12) [file-hunter]
DemoKit Deluxe (Netherlands) [file-hunter]
Disk Album 42 - MSX-C Nyuumon Jougekan (Japan) [file-hunter]
DupeDisk (Netherlands, v1.02) [file-hunter]
DupeDisk (Netherlands, v1.02) [file-hunter]
F1 Tool Disk (Japan) [file-hunter]
F1 Tool Disk II (Japan) [file-hunter]
FAC Soundtracker (Netherlands, v2.0) [file-hunter]
FAC Soundtracker Pro (Netherlands, v1.03) [file-hunter]
FAC Soundtracker Pro (Netherlands, 1992) [file-hunter]
MSX2 Disk Backup Tool - Focus (Japan, v2.0) [file-hunter]
Home Office - MSX Designer (Italy) [file-hunter]
Home Office 2 (Italy) [file-hunter]
Image Maker & Poster 8 (Netherlands) [file-hunter]
Melbrains Note (Japan?) [file-hunter]
MIDI Saurus (Japan) [file-hunter]
MoonBlaster (Netherlands, v1.4) [file-hunter]
MoonBlaster Music #2 (Netherlands) [file-hunter]
MSX BASIC Kun (Netherlands) [file-hunter]
MSX Technical Guidebook - The Fourth Edition (Japan) [file-hunter]
Music Editor Onchi-kun (Japan) [file-hunter]
Nihongo Waupuro Bunsho Sakuzaemon (Japan) [file-hunter]
Palet 2 (Netherlands) [file-hunter]
PictureKit Deluxe (Netherlands) [file-hunter]
Print Shop II (Japan, cracked) [file-hunter]
Private School (Japan) [file-hunter]
PSG Tracker (Netherlands) [file-hunter]
Superscreendumper (Netherlands) [file-hunter]
Synth Saurus Ver2.0 (Japan, v2.03) [file-hunter]
T/Maker IV [file-hunter]
De T.V. Krant (Netherlands) [file-hunter]
Troubles in Town (Netherlands) [file-hunter]
Turbowipe (Netherlands) [file-hunter]
Ultra BASIC (Netherlands) [file-hunter]
Workmate (Europe) [file-hunter]
Animecha (Japan, v2.00) [tempest]
Copy CAT (Japan, v2.00) [file-hunter]
Developer II (Netherlands) [file-hunter]
DMK Creator (v6.3) [cbsfox]
DSKPRO (v11.6) [cbsfox]
DSKPRO (v9.01) [cbsfox]
DSKPRO (v6.51) [cbsfox]
DSKPRO Light (v1.4) [cbsfox]
EPROM - Extra Products ROM (Netherlands) [file-hunter]
The Magical Editor (German) [file-hunter]
MSX Utility Disk (Netherlands) [file-hunter]
Pro-tracker (Netherlands) [file-hunter]
Sampbox 2 Deluxe (Netherlands) [file-hunter]
Sampbox 3 Deluxe (Netherlands) [file-hunter]
Sampbox 4 Macro (Netherlands) [file-hunter]
Studio FM (Netherlands) [file-hunter]
Super-X (Japan, v1.2) [file-hunter]
Synchro Copy [file-hunter]
TwinCopy (Japan) [file-hunter]

New software list items marked not working (msx2_flop.xml)
----------------------------------------------------------
Easy Telopper II (Japan) [file-hunter]
NMS 1170 (Netherlands) [file-hunter]
MSX Data Communications (Netherlands, v1.7) [file-hunter]
Panasonic FS-IFA1 (Japan) [file-hunter]
Amimoto-san (Japan) [file-hunter]
Amimoto-san 2 (Japan) [itochi]
GFX9000 Toolbox [file-hunter]
Graph Saurus Ver.2.1 Interlace Mode Plus (Japan) [file-hunter]
Multi-Barcode (Netherlands) [file-hunter]
Barad (Netherlands) [file-hunter]
Philips NMS 8280 Digitiser Disk (Netherlands) [file-hunter]
Print Shop II (Japan) [file-hunter]
TraxPlayer [file-hunter]

-saturn.xml: Added language info elements, and corrected parent/clone relationships for Rayman games. (#12091) [ArcadeShadow]

-megadriv.xml: Added and corrected info on the Sega Game Toshokan games. (#12172) [ICEknigh7]
 * Added a list of missing Sega Game Toshokan games to the header comment.
 * Updated years to match Sega's web site.
 * Use Hepburn romaji for "Game Kanzume" and clarified which release games are ripped from.

-ibm5100: avoid config.replace() [Patrick Mackinlay]

-mips1: avoid sgi 4d1-3b panic [Patrick Mackinlay]
 * bump r2000 processor revision to avoid emulating a tlb bug

-midway/astrocde.cpp: Added a version of Gorf licensed to Irecsa for Spanish distributio. (#12220) [ClawGrip]

New working clone
-----------------
Gorf (Spain, Irecsa license) [Recreativas.org]

New systems marked not working
------------------------------
Hammer Champ (Japan) [Hammy]

New working systems
-------------------
CEI 60.04 (CEI 906-III Poker) [Roberto Fresca]

-misc/calomega.cpp: Added docs for CEI 60.04 (CEI 906-III Poker) [Roberto Fresca]

-misc/calomega.cpp: [Roberto Fresca]
 * Renamed and rearrange 51.xx and 60.04 ROMs.
 * Change games description.

New working clones
------------------
CEI 51.08 (CEI 906-III Poker, Schedule 09F) [Roberto Fresca]
CEI 51.08 (CEI 906-III Poker, Schedule 21F) [Roberto Fresca]

-upd765.h: remove unused variable [hap]

-taito/taito_x.cpp: Added PCB ref. numbers for all games (#12222) [Sergio G]

-namco/galaga.cpp: Add a note about Sidam version of Galaga [Xavier Panadero, Recreativas.org] (#12218) [ClawGrip]

-qbus: Add dump of Matrox QG-640 Color Display Processor Card and skeleton device implementation [AJR, Bitsavers]

-misc/calomega.cpp: Added more / corrected documentation. [Roberto Fresca]

-misc/calomega.cpp: [Roberto Fresca]
 * Changed comg175 game description to Cal Omega - Game 17.51 (Gaming Draw Poker, Sch 07-0T)
 * Added more / corrected documentation.

-i186: fix dma on timer2 and timer2 as prescaler (#12223) [Hannes Janetzek]
 * i186: fix drq_callback case when used with timer 2
 * i186: only run timer 0,1 when not incremented via timer 2 pre-scaler

-Update notes on Teckno Werk in namcos12.cpp (#12217) [simzy39]

-seta/namcoeva.cpp: copied over sound and keycus handling from namco/namcond1.cpp [Ivan Vangelista]

-chessac: correct typo [hap]

-lottofun: fix old regression with ticket dispenser [hap]

-i186: remove outdated error message [cracyc]

-bus/msx/slot/disk.cpp: Small improvement to Turbo-R disk interface. (#12221) [wilbertpol]
 * Add register mirrors.
 * Add read back of rom bank.
 * Add stubs for reading media change and some unknown registers.
 * Connect disk change signal.

-Add C compiler flags for Wayland EGL backend to bgfx build options (#12216) [Julian Sikorski]

New clones marked as NOT_WORKING
--------------------------------
Xiao Ao Jiang Hu [dyq, little0, Guru]

-bishjan: Provide actual dump of DS2430A [Guru]

-subsino/subsino2.cpp: Update hardware notes [AJR]

-mame.lst: Update for 86516799a5e5018854b7a9e287640c3448e4dd78 [AJR]

-ibm5100: improve program memory handling [Patrick Mackinlay]
 * force execution from ros during interrupts
 * correct lower-case 'u' in character font
 * fix l32/r32 display mode on 5110

-msx: add magic key dongle [hap]

-util/cdrom.cpp: Zero entire output TOC structure in cdrom_file::parse_metadata. (#12219) [MetalSlug]
 * Fixes issues with fields that are not explicitly assigned in all situation.

New systems marked not working
------------------------------
Soccer 10 (ver. 16.44) [trol]

-docs: Removed unnecessary repetition in othertools.rst. (#12224) [Angelo Salese]

-bus/multibus: Added Robotron K7071 text-only video card for the A7100 series. (#12188) [shattered]

-konami/konamigq.cpp, konami/konamigv.cpp: Use "new SCSI" 53CF96 and drives. [Windy Fairy]
 * Marked games as not supporting save states due to DMA pointer in member variable, and marked kdeadeye as having imperfect
    graphics due existing texturing issues that cause in-game text to be jumbled.

-konami/konamigv.cpp: Redumped CD for kdeadeye. [Brian Troha]

-bmc/koftball.cpp updates: [Ivan Vangelista]
 * inputs for jxzh [dyq]
 * added 3rd and 4th tilemap layers, fixes missing GFX
 * ported over IRQ handling from bmc/bmcpokr.cpp

-subsino/subsino2.cpp: dumped DS2430A for saklove [Guru]

-seta/seta2.cpp: Fixed year for Guardians / Denjin Makai II (bootleg) (#12230) [barbudreadmon]

-i186: Use cycles_to_attotime and attotime_to_cycles for timer period calculation. Gives better timings for Am188EM-based games in
 subsino/subsino2.cpp. [AJR]

Systems promoted to working
---------------------------
Igor (Excalibur) [hap, Sean Riddle]

-bmc/koftball.cpp updates: [Ivan Vangelista]
 * ported 'pixmap' related methods from bmc/bmcpokr.cpp. Test mode is now visible, although badly:
 * hooked up DIP switches;
 * identified some DIPs and inputs
 * hooked up NVRAM for jxzh

-igor: remove hidden leftover junk in svg [hap]

-3rdparty/asmjit: Updated to upstream version 1.13.0. (#12228) [Patrick Mackinlay]
 * From revision asmjit/asmjit@e5d7c0bd5d9aec44d68830187138149e6a8c4e32

-konami/konamigv.cpp: Implemented inputs and printer check for Tokimeki Memorial Oshiete Your Heart. (#12229) [987123879113]
 * Added GSR sensor input.
 * Added simulated pulse sensor simulation.
 * Added stub printer simulation allowing games to be played.
 * Added hand crafted EEPROM for tmosh to allow the game boot.
 * Corrected SPU audio channel routing (btchamp test mode exposes this).

-roland/roland_jv80.cpp: Dumped wave ROMs and main CPU ROM. (#12227) [Giulio Zausa]
 * Also added older program ROM v1.0.0 as a BIOS option.

-konami/konamigv.cpp: Added configuration option for direct heartbeat pulse input to tmosh games. [Vas Crabb]

-coleco.xml: Added 34 items (27 working) (#12202) [ArcadeShadow]

New working software list items (coleco.xml)
--------------------------------------------
Anti-Environment Encounter [ColecoVision Addict]
Arno Dash [ColecoVision Addict]
Bank Panic [ColecoVision Addict]
Burn Rubber [ColecoVision Addict]
C-So! [ColecoVision Addict]
Caterpillar S.O.S. [ColecoVision Addict]
Champion Pro Wrestling [ColecoVision Addict]
Diamond Dash II [ColecoVision Addict]
Flapee Byrd [ColecoVision Addict]
Klondike Solitaire (v1.0) [ColecoVision Addict]
Kobashi [ColecoVision Addict]
Mahjong Solitaire (v1.0) [ColecoVision Addict]
Mario Bros. [ColecoVision Addict]
Minesweeper (v1.0) [ColecoVision Addict]
Mr Chin [ColecoVision Addict]
Pegged (v1.0) [ColecoVision Addict]
Pillars [ColecoVision Addict]
Pitman [ColecoVision Addict]
Pooyan [ColecoVision Addict]
Pyramid Warp + Battleship Clapton II [ColecoVision Addict]
Snake [ColecoVision Addict]
Spunky's Super Car! [ColecoVision Addict]
Vexed [ColecoVision Addict]
Winky Trap [ColecoVision Addict]
Zippy Race [ColecoVision Addict]
Zombie Calavera Prologue [ColecoVision Addict]
Zombie Near [ColecoVision Addict]

New NOT working software list addition (coleco.xml)
---------------------------------------------------
Booming Boy [ColecoVision Addict]
Boxxle [ColecoVision Addict]
Buck Rogers Super Game [ColecoVision Addict]
Caos Begins [ColecoVision Addict]
Caverns of Titan [ColecoVision Addict]
Kung-Fu Master [ColecoVision Addict]
The Black Onyx [ColecoVision Addict]

-konami/konamigv.cpp: Updated kdeadeye CHD by combining five more reads. [Vas Crabb, Brian Troha]

-itech/itech32.cpp: Cleaned up code. (#12231) [cam900]
 * Reduced tag lookups, suppress side effects for debugger reads.
 * Improved ROM region names.
 * Moved some game-specific members out of the base driver state class.
 * Reduced preprocessor macros, reduced duplicated code, changed logging to use logmacro.h.

-Initial touch input support: [Vas Crabb]
 * Feed mouse/pen/touch pointer events through UI input manager with Win32 and SDL.
 * Started migrating UI code to use new API and reworking mouse/touch interaction.
 * emu/render.cpp: Support pressing multiple clickable layout items simultaneously.
 * emu/render.cpp: Allow UI elements to be drawn in any window.
 * emu/rendlay.cpp, luaengine_render.cpp: Added layout view events for pointer input.
 * ui/ui.cpp: Allow the UI handler to control pointer display.
 * ui/analogipt.cpp: Added mouse/touch and more keys for navigating field state list.
 * ui/menu.cpp: Use vertical swipe to scroll and horizontal swipe to adjust.
 * ui/menu.cpp: Draw after processing input - greatly improves responsiveness.
 * ui/menu.cpp: Ignore keyboard/gamepad input during pointer actions.
 * ui/selmenu.cpp: Made left/right info pane arrows repeat when held.
 * ui/selmenu.cpp: Use middle click to move keyboard focus.
 * ui/selmenu.cpp: Let filter list scroll if it's too tall, and use a bit of horizontal padding.
 * ui/selmenu.cpp: Improved divider sizing.
 * ui/state.cpp: Don't allow clicks to pass through the confirm deletion prompt to the menu.
 * ui/simpleselgame.cpp: Fixed error message display and graphics/sound status not showing.
 * ui/simpleselgame.cpp: Allow tap/click to dismiss error message.
 * ui/utils.cpp: Show UI for choice filters when there are no choices - it's less confusing.
 * modules/input/input_sdl.cpp: Made scaling for mouse scroll better match RawInput and DirectInput.
 * modules/input/input_rawinput.cpp: Added support for horizontal scroll axis.
 * modules/input/input_win32.cpp: Added support for scroll axes and more buttons to mouse/lightgun.
 * modules/debugger/debugimgui.cpp: Don't fight over events with the UI manager - it breaks menus.
 * osd/windows/window.cpp: Translate mouse position to window cooridinates for scroll wheel events.
 * osd/sdl/window.cpp: Supply last mouse position for scroll wheel events if possible.
 * scripts/build/complay.py: Made zero input mask an error - it was only being used to block clicks.

-d3dhlsl: fix possible array overflow with system name string [hap]

-debugger/debugimgui.cpp: Refuse to break if unable to take over UI input. [Vas Crabb]

-misc internal artwork: add clickthrough attribute [hap]

-konami/twinkle.cpp: Migrated to "new SCSI". [Vas Crabb]
 * Also removed legacy am53cf96.cpp SCSI bus host controller device.

-ds8874: move to video folder (led driver chip), misc: remove folder from self #include [hap]

-ssimon: fix clickable artwork crash [hap]

-drcbex64,drcbex86: avoid deprecated functions [Patrick Mackinlay]

-1942: correct default lives dipswitch, igor: lcd battery segment is unused [hap]

-msx ink: fix regression with flash read [hap]

-itech/capbowl.cpp: Add machine().side_effects_disabled() check for debug (#12236) [cam900]

-lib/formats/dmk_dsk.cpp: Header byte 4 is not reserved. Fixes MT 8851. (#12232) [wilbertpol]

-msx ink: small cleanup [hap]

-apple2gs_flop_clcracked.xml: added 7 dumps, used info tags for a lot of dumps [Brian Troha] (#12213) [Ivan Vangelista]

New working software list items
-------------------------------
GBA Championship Basketball: Two-on-Two (cleanly cracked) [Brian Troha]
Reader Rabbit (Version 2.0) (cleanly cracked) [Brian Troha]
ShowOff (Version 1.0) (cleanly cracked) [Brian Troha]
Sid Meier's Pirates! (cleanly cracked) [Brian Troha]
USA GeoGraph (Version 1.0) (cleanly cracked) [Brian Troha]
World GeoGraph (Version 1.3) (cleanly cracked) [Brian Troha]

New systems marked not working
------------------------------
Knights in Armor [Jeff Anderson, Seth Soffer]
Wheels II [Jeff Anderson, Seth Soffer]

Clones promoted to working
--------------------------
Xiao Ao Jiang Hu (China, Ver. 1.00) [AJR, Guru]

-subsino/subsino2.cpp: dumped GFX ROM for xiaoao [Guru]

-subsino/subsino.cpp: updated ndongmul ROM loading so that it boots. Still need correct reel GFX loading / decoding and also hangs
 after a while. [Ivan Vangelista]

-ussr/bk.cpp: Added DAC, QBus and unmapped read/write traps. (#12238) [shattered]
 * Also fixed cassette motor control and improved video output.

-coleco: Add expansion bus and support for the Super Game Module [Dirk Best]
 * This obsoletes PR#10816. Thanks to 0kmg for the initial implementation.

-itech/itech8.cpp: Cleaned up code. (#12235) [cam900]
 * Removed TLC34076 for games that lack it.
 * Use palette devices for palettes.
 * Use input merger for VIA/YM3812 FIRQ.
 * Reduced tag lookups, suppress side effects for debugger accesses, use more const.
 * Changed single-line comments to C++ line comments.

-kaneko/sandscrp.cpp: Suppress side effects for debugger reads of sound latches. (#12240) [cam900]
 * Also give sprite ROM region a more meaningful name.

-msx: Implemented a little more MSX2+ functionality. (#12239) [wilbertpol]
 * Moved MSX2+ machines to msx/msx2p.cpp.
 * msx/msx.cpp: Add support Kanji level 2 I/O ports.
 * Added support for MSX2+ boot flags register.
 * Hooked up msx2p_cart and msxr_cart software lists.
 * bus/msx/slot/music.cpp: Use an object finder to get YM2413.

-konami/konamigv.cpp: Added printer simulation for Tokimeki Memorial Oshiete Your Heart games. (#12233) [987123879113]

Systems promoted to working
---------------------------
Tokimeki Memorial Oshiete Your Heart (GQ673 JAA) [987123879113]
Tokimeki Memorial Oshiete Your Heart Seal Version (GE755 JAA) [987123879113]
Tokimeki Memorial Oshiete Your Heart Seal Version Plus (GE756 JAB) [987123879113]

-coleco/expansion/sgm: Fix clang error [Dirk Best]

-sinclair/specnext_divmmc.cpp: Added Spectrum Next DivMMC device emulation. [holub]

-msx/msx2p.cpp: Fix validation. (#12244) [wilbertpol]

-msx/msx.cpp: Use arrays of memory views. (#12243) [wilbertpol]

-Fixed a few class memory access warnings. [Vas Crabb]

-emu/rendlay.cpp, ui/ui.cpp: Allow layout views to control pointer display. [Vas Crabb]

-emu/gamedrv.h: Got rid of the "clickable artwork" system flag. [Vas Crabb]

-formats/wavfile.cpp: Fixed a class memory access warning. [Vas Crabb]

-Fixed a few more class memory access warnings. [Vas Crabb]

-misc internal artwork: disable orange mouse pointer (false positive clickable artwork detection) [hap]

-capcom/mitchell.cpp: Rename the pkladiesblu OKI sound ROM to avoid name conflicts. [Roberto Fresca]

-coleco/expansion: Implement device_mixer_interface [Dirk Best]

-ui/menu.cpp, ui/selmenu.cpp: Handle mouse wheel units properly. [Vas Crabb]

-Fixed a few more class memory access warnings. [Vas Crabb]

-shifter overlay: remove vertical widescreen views [hap]

-shifter overlay: remove orange mouse pointer / block clickable input [hap]

-shifter overlay: add opaque shifter option [hap]

-midway/williams.cpp, wmg.cpp: Various cleanups: (#12246) [cam900]
 * Use memory views for ROM/palette overlays and simplified banking.
 * Suppress side effects for reads from the debugger.
 * Reduced tag lookups.
 * Improved ROM region naming.

-konami/konamigv.cpp: Removed inputs that are not present from Tokimeki Memorial Oshiete Your Heart games. (#12245) [987123879113]
 * These inputs are not physically present and are not displayed in test mode.

-videoopt: force left-align for view list [hap]

-midway/midyunit.cpp: Various cleanups (#12248) [cam900]
 * Moved Terminator 2 and Mortal Kombat "YAWDIM" bootleg to derived classes.
 * Simplified Mortal Kombat "YAWDIM" bootleg machine configuration.
 * Suppress side effects for debugger reads.
 * Improved ROM region naming.
 * Use logmacro.h for configurable logging.
 * Use C++ line comments.

-trs/coco.cpp: Fix light gun offset (#12242) [tim lindner]

-midway/williams.cpp, midway/wmg.cpp: Fixed crash in Defender, further cleanup. [Vas Crabb]
 * midway/williams.cpp: Fixed Defender crash on initialised view.
 * midway/williams.cpp, midway/wmg.cpp: Eliminated address_map_bank_device.
 * midway/williams.cpp: Got rid of unnecessary williams2_state derived classes.
 * midway/wmg.cpp: Removed dependency on defender_state.

-funworld/4roses.cpp improvements: [Roberto Fresca]
 * Hooked both PIAs 6821 for I/O.
 * Tied basic input lines.
 * Added/fixed documentation and notes.
 * Some cleanups.

-cpu/h8500: Remove "intram" space to simplify memory interface for future emulation [AJR]
 * jv880: Improve memory map

-videoopt: use subtext string to indicate current view [hap]

-videoopt: update prev commit, better with empty 'radiobuttons'? [hap]

-Move coleco homebrew titles to their own softlist and fix a few issues. Add missing megacart feature to mariobrs and zombnear so
 that they actually run when started from the softlist. [Dirk Best]

Software list items promoted to working (coleco_homebrew.xml)
-------------------------------------------------------------
Booming Boy [Dirk Best]
Buck Rogers Super Game [Dirk Best]
Caos Begins [Dirk Best]
Caverns of Titan [Dirk Best]
Kung-Fu Master [Dirk Best]

-docs: Updated RTD to 2.0.0 and removed dependency on jQuery. (#12253) [Firehawke]

-cirsa/neptunp2.cpp: Added a Counters SEEPROM dump to gladiador. (#12251) [ClawGrip]
 * The SEEPROM content probably is probably unique for each machine, possibly tied to the serial number.

New systems marked not working
------------------------------
Que Huang Zheng Ba (V100CN) [dyq, little0, Guru]

-capcom/cps2.cpp: standardized title for sgemf and clones [taoenwen]

-igs/igs_m036.cpp: redumped lhtb [dyq, little0, Guru]

-subsino/lastfght.cpp: dumped DS2430A [Guru]

-subsino/subsino.cpp: gave newhunterd its own memory map, makes it boot. Still not working. [Ivan Vangelista]

-shared/dcs.cpp: Implemented device_mixer_interface for sound output. (#12252) [cam900]
 * Suppress side effects for debugger reads.
 * Reduced use of literal tags.
 * Reduces public class members.
 * Use C++ style line comments.

-ussr/uknc.cpp: Added cassette interface and qbus slots with floppy controller card. (#12254) [shattered]
 * ussr/uknc.cpp: Added second CPU and corrected CPU clocks.
 * bus/qbus: Added UKNC KMD floppy controller card device.

-machine/1801vp128.cpp: Fixed invalid character in device short name. [Vas Crabb]

-shared/dcs.cpp: Replaced another literal tag. [Vas Crabb]

-commodore/kim1.cpp: Added RS-232 port for console. (#12161) [Jeff Tranter]

-osd/strconv.cpp: Handle UTF-8 Windows code page internally in osd_uchar_from_osdchar. (#12131) [invertego]

-bus/qbus/uknc_kmd.cpp: Fixed unused lambda capture. [Vas Crabb]

-fastfred: correct XTAL [hap]

-bmc/koftball: decode bitmap layer, add back layer pen (#12255) [Angelo Salese]

-rollingc: fix moonbase claiming "you are too strong" [hap]

-igs/igs_m036.cpp: corrected hashes for qhzb's sound ROM [Ivan Vangelista]

-capcom/cps2.cpp: Fix qndream title & standardize mshud title (#12257) [barbudreadmon]

-midway/midwayic.cpp: Reduced hardcoded tags and cleaned up code. (#12262) [cam900]
 * Suppress side effects for debugger reads.
 * Use C++ style line comments for single line comments.
 * Reduced use of literal tags.

-m6801: fix new regression with eat_cycles [hap]

-misc/xtom3d.cpp: Added PIU10 ISA PCB for Pump It Up. (#12237) [987123879113]
 * misc/xtom3d_piu10.cpp: Added PIU10 card device (CAT702, DAC3350A, MAS3507D, Flash).
 * sound/dac3350a: Added Micronas DAC 3350A device.
 * sound/mas3507d.cpp: Mix sample internally before playing.
 * machine/cat702.cpp: Added CAT702 variant with different interface logicfor PIU10.
 * machine/intelfsh.cpp: Add Macronix 29F1610MC device.

-apple2_flop_clcracked.xml: Added nine cracks, updated one crack and removed an outdated crack. (#12256) [A-Noid33]
 * apple2_flop_clcracked.xml, apple2_flop_orig.xml, apple2gs_flop_clcracked.xml: Improved metadata for MECC software.

New working software list items (apple2_flop_clcracked.xml)
-----------------------------------------------------------
Mastering Math Series 4: Space Subtraction (A-145 version 1.0) (4am crack) [4am, A-Noid]
Mastering Math Series 5: Subtraction Puzzles (A-146 version 1.0) (4am crack) [4am, A-Noid]
Mastering Math Series 6: Multiplication Puzzles (A-147 version 1.0) (4am crack) [4am, A-Noid]
Mastering Math Series 7: Quotient Quest (A-148 version 1.0) (4am crack) [4am, A-Noid]
Mastering Math Series: Diagnostic System (A-149 version 1.1) (4am crack) [4am, A-Noid]
Mastering Math Series: Management System (A-150 version 1.0) (4am crack) [4am, A-Noid]
Mastering Math Series: Management System (A-150 version 1.1) (4am crack) [4am, A-Noid]
Mastering Math Series: Worksheet Generator (A-151 version 1.0) (4am crack) [4am, A-Noid]
Mastering Math Series: Worksheet Generator (A-151 version 1.1) (4am crack) [4am, A-Noid]

Redumped software list items (apple2_flop_clcracked.xml)
--------------------------------------------------------
Phantasie (version 1.0) (4am and san inc crack) [4am, san inc, A-Noid]

Removed software list items (apple2_flop_clcracked.xml)
-------------------------------------------------------
MECC-A405 Sports Stats (version 1.0) (imperfect clean crack) [A-Noid33]

-igs/igs009.cpp: Added a bootleg of Jingle Bell called "Animal House". (#12260) [ClawGrip]

New working clones
------------------
Animal House (bootleg of Jingle Bell) [Taksangs, charlie]

-machine/spi_sdcard.cpp: Don't write received data to the command shift register. (#12249) [holub]

-rx78_cart.xml: Added Cannon Ball. (#12250) [David 'Foxhack' Silva]
 * fixed titles for Hamburger Shop and Tatakae! Ultraman, and added Japanese titles.

New working software list items (rx78_cart.xml)
-----------------------------------------------
Cannon Ball [Gaming Alexandria]

-coleco: Add homebrew titles sourced from ColecoVision Addict [Dirk Best]

New working software list items (coleco_homebrew.xml)
-----------------------------------------------------
421 [Dirk Best]
Aerial [Dirk Best]
Asteroids [Dirk Best]
Astrostorm [Dirk Best]
Bankruptcy Builder [Dirk Best]
Bejeweled [Dirk Best]
Bootskell [Dirk Best]
Breakout [Dirk Best]
Canadian Mini Games [Dirk Best]
Cavit [Dirk Best]
Children of the Night [Dirk Best]
Circus Charlie [Dirk Best]
Cold Blood [Dirk Best]
Crazy Climber Redux [Dirk Best]
DacMan [Dirk Best]
Danger Tower [Dirk Best]
Deep Dungeon Adventure [Dirk Best]
Deflektor Kollection [Dirk Best]
Destructor S.C.E. [Dirk Best]
Dragon's Lair [Dirk Best]
Flicky [Dirk Best]
Flora and the Ghost Mirror [Dirk Best]
Frog Feast [Dirk Best]
Front Line S.C.E. [Dirk Best]
Frostbite [Dirk Best]
Gauntlet [Dirk Best]
Ghostblaster [Dirk Best]
Ghostbusters [Dirk Best]
Girl's Garden [Dirk Best]
Golgo 13 [Dirk Best]
GP World [Dirk Best]
Gulkave [Dirk Best]
Heroes Arena [Dirk Best]
Impetus [Dirk Best]
Insane Pickin' Sticks VIII [Dirk Best]
Jeepers Creepers [Dirk Best]
J.E.T.P.A.C. [Dirk Best]
Kaboom! [Dirk Best]
Kevtris [Dirk Best]
King & Balloon [Dirk Best]
King's Valley [Dirk Best]
Knight Lore [Dirk Best]
Knightmare [Dirk Best]
Konami's Ping-Pong [Dirk Best]
Kralizec Tetris [Dirk Best]
Lift [Dirk Best]
Magical Tree [Dirk Best]
Majikazo [Dirk Best]
Mappy [Dirk Best]
Maze Maniac [Dirk Best]
Mazy [Dirk Best]
Mecha 9 [Dirk Best]
Mikie [Dirk Best]
Missle Strike [Dirk Best]
Module Man [Dirk Best]
Monaco GP [Dirk Best]
Mopiranger [Dirk Best]
Ms. Space Fury [Dirk Best]
Multiverse [Dirk Best]
Neuras [Dirk Best]
Ninja Princess [Dirk Best]
N-Sub [Dirk Best]
Operation Wolf [Dirk Best]
Pacar [Dirk Best]
Pac-Man Collection [Dirk Best]
Peek-A-Boo [Dirk Best]
Pitfall II Arcade [Dirk Best]
Princess Quest [Dirk Best]
Purple Dinosaur Massacre [Dirk Best]
Qbiqs [Dirk Best]
Quest for the Golden Chalice [Dirk Best]
Rally-X [Dirk Best]
Remember the Flag [Dirk Best]
Reversi & Diamond Dash [Dirk Best]
Road Fighter [Dirk Best]
Ruptus [Dirk Best]
Search for the Stolen Crown Jewels 3 (Demo) [Dirk Best]
Secret of the Moai [Dirk Best]
Sega Flipper [Dirk Best]
Shmup! [Dirk Best]
Shouganai [Dirk Best]
Sindbad Mystery [Dirk Best]
Sky Jaguar [Dirk Best]
Space Invaders Collection [Dirk Best]
Space Invasion [Dirk Best]
Space Shuttle: A Journey Into Space [Dirk Best]
Spelunker [Dirk Best]
Squares [Dirk Best]
Star Castle [Dirk Best]
Star Fire [Dirk Best]
Star Fortess [Dirk Best]
Star Jacker [Dirk Best]
Steamroller [Dirk Best]
Stray Cat [Dirk Best]
Subroc Super Game [Dirk Best]
Sudoku [Dirk Best]
Super Pac-Man [Dirk Best]
Super Space Acer [Dirk Best]
The Goonies [Dirk Best]
The Stone of Wisdom [Dirk Best]
Thexder [Dirk Best]
Track & Field [Dirk Best]
Traffic Jam [Dirk Best]
Turmoil 2022 [Dirk Best]
TwinBee [Dirk Best]
Txupinazo! [Dirk Best]
Uridium [Dirk Best]
Utopia [Dirk Best]
Vectorollerpede [Dirk Best]
War [Dirk Best]
Waterville Rescue [Dirk Best]
Wizard of Wor [Dirk Best]
Wonder Boy [Dirk Best]
Yie Ar Kung-Fu [Dirk Best]
Zaxxon II [Dirk Best]
Zaxxon Super Game [Dirk Best]
Zombie Incident [Dirk Best]
Zoom 909 [Dirk Best]

New software list items marked not working (coleco_homebrew.xml)
----------------------------------------------------------------
Jetp4k [Dirk Best]
Space Shuttle: A Journey Into Space (64k) [Dirk Best]
Star Force [Dirk Best]

-rollingc: add comment for IN0 bit 0 [hap]

New systems marked not working
------------------------------
Alone Shettle Crew [f205v, Brian Troha, rtw, Scott Jackman, Sean Sutton, Smitdogg, The Dumping Union]

-bmc/bmcpokr.cpp: ported over backpen handling from bmc/koftball.cpp, fixes some minor GFX problems [Ivan Vangelista]

-shared/decobsmt.cpp: Implement device_mixer_interface for sound output. (#12266) [cam900]
 * Also removed root device references in tags and added data members to save states.
 * dataeast/deco32.cpp: Moved tattass to its own state class, use C++ line comments for singleline comments.
 * pinball/de_3.cpp, pinball/whitestar.cpp: Use C++ line comments for single line comments.

-tomy/tomy_princ.cpp: Install cart ROM in CPU addess space. (#12267) [qufb]

-ui/ui.cpp, ui/videoopt.cpp: Made pointer activity timeout configurable. [Vas Crabb]

-midway/wmg.cpp: Use a memory bank for NVRAM; also got rid of a really pointless trampoline function. [Vas Crabb]

-ui/videoopt.cpp: Hold Ctrl to jump to the next one-second interval for pointer timeout. [Vas Crabb]

-midway/williams.cpp: Simplified class hierarchy. [Vas Crabb]

-midway/williams.cpp: Added missing item to save states for Mystic Marathon, further simplified class hierarchy. [Vas Crabb]

-nichibutsu/wiping.cpp: added sound and very preliminary, incomplete inputs to shettle, improved PROM loading [Ivan Vangelista]

-pinball/decodmd*.cpp: Register data members for save states, suppress side effects for debugger accesses. (#12273) [cam900]
 * Reduced unnecessary memory banks, literal tags and excess configuration.

-misc/skimaxx.cpp: Suppress side effects for debugger reads, and reduced tag lookups. (#12272) [cam900]

-gameking.xml, gameking3.xml: Added three cartridges, and replaced one cartridge with a better dump. (#12270) [mamehaze]
 * gameking3.xml: replaced Panzer with a better dump (one bit corrected in unused space).

New working software list items (gameking.xml)
----------------------------------------------
4 in 1 - Three Battles + Light Sword + Risker + Metal Deform (512KB cartridge, set 2) [sCZther, SSJ, Gaming Alexandria, TeamEurope]

New working software list items (gameking3.xml)
-----------------------------------------------
Diamond [sCZther, SSJ, Gaming Alexandria, TeamEurope]
Hemic Battle [sCZther, SSJ, Gaming Alexandria, TeamEurope]

-midway/williams.cpp: Cleaned up ROM loading for Defender hardware, further simplified class hierarchy. [Vas Crabb]

-osd/sdl/video.cpp: Fixed a class memory access warning (osd_window_config initialises all members to zero in constructor).
 [Vas Crabb]

-galaxian/galaxian.cpp: Added an alternative version of Bongo found on an original Namco PCB. (#12274) [ClawGrip]

New working clone
-----------------
Bongo (set 2) [Arcadedealer aka Edgar Solé aka Dios, Recreativas.org]

-apple2_flop_orig.xml, apple2_flop_clcracked.xml: Added fourteen original dumps and one crack. (#12276) [A-Noid33]
 * apple2_flop_orig.xml: Also improved meta data for Essential Data Duplicator and Nibbles Away.

New working software list items (apple2_flop_orig.xml)
------------------------------------------------------
Anchorman [4am, ianoid, A-Noid]
Back It Up III (version 3.4) [4am, ianoid, A-Noid]
Candy Land [4am, A-Noid]
Chuck Yeager's Advanced Flight Trainer [4am, A-Noid]
Copy II Plus (version 3.3) [4am, txgx42, A-Noid]
Essential Data Duplicator 4 Plus (version 4.1) [4am, txgx42, A-Noid]
Nibbles Away (version B2) [4am, txgx42, A-Noid]
Nibbles Away ][ (version A1) [4am, A2_Canada, A-Noid]
Questmaster I: The Prism of Heheutotol [4am, ianoid, A-Noid]
Wizimore: Catacombs of Vlad [4am, A2_Canada, A-Noid]
Wizimore: Nihonbashi [4am, A2_Canada, A-Noid]
Wizimore: O'Connor's Mine [4am, A2_Canada, A-Noid]
Wizimore: The Emperor's Seal [4am, A2_Canada, A-Noid]
Wizimore: The Scarlet Brotherhood of Hsi Ho [4am, A2_Canada, A-Noid]

New working software list items (apple2_flop_clcracked.xml)
-----------------------------------------------------------
From The Beginning... Contraception (4am crack) [4am, A-Noid]

-sinclair/tsconf.cpp: Use RGB screen bitmap so mid-screen palette changes work. (#12277) [holub]

New working clones
------------------
Mahjong Reach Part II (Ver. D88) [Sergio Galiano]

-dataeast/karnov.cpp: Updated ROM labels for Japanese version based on auction photo. [Vas Crabb]

-midway/williams.cpp: Tidy a little more. [Vas Crabb]

-sinclair/sprinter.cpp: Improved emulation accuracy. (#12269) [holub]
 * Accelerator writes through page fd only in COPY mode.
 * I/O access 1f (z84) available through replacing to 0f.
 * Hold IRQ for 32 CPU clock cycles.

-i2cmem: Add 24C128 and 24C256 variants [Dirk Best]

-coleco/cartridge: Add support for 'Activision' type cartridges [Dirk Best]

Software list items promoted to working (coleco_homebrew.xml)
-------------------------------------------------------------
The Black Onyx [Dirk Best]
Boxxle [Dirk Best]
Space Shuttle: A Journey Into Space (64k) [Dirk Best]

-ay8910: Suppress configuration warnings [AJR]

New systems marked not working
------------------------------
Black Jack (Irem) [Hammy, Joko3]

New working software list items (coleco_homebrew.xml)
-----------------------------------------------------
Star Force (fixed) [AtariAge/Ikrananka]

-svi3x8/expander: Implement device_mixer_interface [Dirk Best]

-midwayic: apparent dependency issue, midway*: small cleanup [hap]

-nmk/nmk16.cpp: Updated comments to note that Many Block is a hack of Slot Gal. (#12280) [negunma]

-oric1_cass.xml Added Rodmän. (#12279) [ArcadeShadow]

New working software list items (oric1_cass.xml)
------------------------------------------------
Rodmän [Mika Keranen]

-spectrum_cass.xml: Added 31 working items (30 working). (#12268) [ArcadeShadow]
 * Removed duplicate Ghostly Grange Triple Decker (System 4).
 * Also improved some metadata and parent/clone relationships.

New working software list items (spectrum_cass.xml)
---------------------------------------------------
Anti-Lune [Michael Bruhn / Planeta Sinclair]
Black & White [Spectrum Computing]
Cálculo de Areas e Volumes [Planeta Sinclair]
Cálculo de Estrutura Tronco-Cónicas [Planeta Sinclair]
Box Reloaded [Spectrum Computing]
Editor Musical [El Trastero del Spectrum]
Flunky (Zafi Chip) [Spectrum Computing]
Foguetão [Planeta Sinclair]
Geografia de Portugal (Astor) [Planeta Sinclair]
GP Motocross [Spectrum Computing]
Juego de Damas [El Trastero del Spectrum]
La Balada del Duende [El Trastero del Spectrum]
La Isla Maldita [El Trastero del Spectrum]
Left Behind: Escape From Mars [Spectrum Computing]
Mad Cars [Spectrum Computing]
Mad Mix Game & The Pepsi Challenge (Portuguese) [Planeta Sinclair]
O Segredo dos Templários (TAP tape image) [Planeta Sinclair]
Pot-Pourri [Spectrum Computing]
Pro Golf II (System 4, alt) [Planeta Sinclair]
Pssst (Nuova Newel Software) [Planeta Sinclair]
Pssst + Jetpac + Kucharik [Planeta Sinclair]
Quest for the Sacred Flame of Hestia [Spectrum Computing]
Rodmän [Misfit]
Sachy Psion + Reversi + Backgammon [Planeta Sinclair]
Space Racer [Spectrum Computing]
Starblazer [Planeta Sinclair]
Stop Virus (demo) [Spectrum Computing]
Tabela Periódica [Planeta Sinclair]
Tabela Periódica (fast version hack) [Planeta Sinclair]
Tokimal (demo) [Pat Morita Team]

New NOT working software list addition (spectrum_cass.xml)
----------------------------------------------------------
O Segredo dos Templários (TZX tape image) [Spectrum Computing]

Software list item promoted to working (spectrum_cass.xml)
----------------------------------------------------------
Prioridade Em Cruzamentos [ArcadeShadow]

-midway/midtunit.cpp, midtunit_v.cpp, midwunit.cpp, midxunit.cpp: Cleaned up code. (#12281) [cam900]
 * midtunit_v.cpp: Use callback for interrupt output, reduced hard-coded tags and unnecessary configuration.
 * midtunit.cpp: Moved variants with ADPCM ad DCS sound hardware to separate driver state classes.
 * Suppress side effects for debugger reads.
 * Removed unnecessary object finders and #includes, reduced literal tags, use logmacro.h for configurable logging.
 * Removed unnecessary prefixes from member function names, use C++ line comments for single line comments, reduced preprocessor
    macros.

-srcclean and cleanup: [Vas Crabb]
 * makefile: srcclean batches of twenty files - improves performance when process creation or filesystem walk is expensive.
 * midway/midtunit.cpp: Removed a few unnecessary lines.

-apple2_flop_clcracked.xml: Fixed editing error. [Vas Crabb]
